{% extends "base.html" %}
{% load i18n %}

{% block title %}
{{ person.full_name }}
{% endblock %}

{% block banner %}
    <h1 class="title"> {{ person.full_name }} </h1>
{% endblock %}

{% block body %}
<h2 class="subtitle"> Nickname ofzo? </h2>

<div class="tabs is-centered">
    <ul>
        <li class="js-tab is-active"> <a>{% trans " Persoonsgegevens " %}</a> </li>
        <li class="js-tab"> <a>{% trans " Lidmaatschap & Studies " %}</a> </li>
        <li class="js-tab"> <a>{% trans " Commissies, groepen en disputen " %}</a> </li>
        <li class="js-tab"> <a>{% trans " Bezochte activiteiten " %}</a> </li>
    </ul>
</div>

<!-- Tab 1 -->

<div class="js-tab-content" id="personal">
    <div class="box">
        <h4 class="title is-4">{% trans " Persoonsgegevens " %}</h4>
        {% if user.is_authenticated %}
            {% if user.person.id == person.id %}
                <a class="button" href="/leden/bewerken/{{person.id}}">Bewerken...</a>
            {% endif %}
        {% endif %}
        <table class="table is-fullwidth is-striped">
            <tbody>
                <tr>
                    <th> <abb title="Legal name">{% trans " Wettelijke naam " %}</abbr> </th>
                    <td> {{ person.legal_name }} </td>
                </tr>
                <tr>
                    <th> <abb title="Given name">{% trans " Roepnaam " %}</abbr> </th>
                    <td> {{ person.given_name }} </td>
                </tr>
                <tr>
                    <th> <abb title="Full name">{% trans " Volledige naam " %}</abbr> </th>
                    <td> {{ person.full_name }} </td>
                </tr>
                <tr>
                    <th> <abb title="Email address">{% trans " Email " %}</abbr> </th>
                    <td> {{ person.email }} </td>
                </tr>
                <tr>
                    <th> <abb title="Birth date">{% trans " Geboortedatum " %}</abbr> </th>
                    <td> {{ person.birth_date }} </td>
                </tr>
            </tbody>
        </table>
    </div>

    <div class="box">
        <h4 class="title is-4">{% trans " Telefoonnummers " %}</h4>

        <ul>
            {% for number in person.phonenumber_set.all %}
                <li>{{ number }}</li>
            {% endfor %}
        </ul>
    </div>

    <div class="box">
        <h4 class="title is-4">{% trans " Adressen " %}</h4>

        <ul>
            {% for address in person.address_set.all %}
                <li>{{ address }}</li>
            {% endfor %}
        </ul>
    </div>
</div>

<!-- Tab 2 -->
<div class="js-tab-content" id="membership" style="display:none">
    <div class="box">
        <h4 class="title is-4">{% trans " Lidmaatschap " %}</h4>

        <ul>
            {% for membership in person.membership_set.all %}
                <li>{{membership}}</li>
            {% endfor %}
        </ul>
    </div>

    <div class="box">
        <h4 class="title is-4">{% trans " Studies " %}</h4>

        <ul>
            {% for study in person.enrollment_set.all %}
                <li>{{ study.program }}</li>
            {% endfor %}
        </ul>
    </div>
</div>

<!-- Tab 3 -->
<div class="js-tab-content" id="groups" style="display:none">
    {% with groups=person.groups %}
        <div class="box">
            <h4 class="title is-4">{% trans " Commissies " %}</h4>

            <ul>
                {% for group in groups %}
                    {% if group.kind == group.COMMITTEE %}
                        <li>{{ group }}</li>
                    {% endif %}
                {% endfor %}
            </ul>
        </div>

        <div class="box">
            <h4 class="title is-4">{% trans " Groepen " %}</h4>

            <ul>
                {% for group in groups %}
                    {% if group.kind == group.GROUP %}
                        <li>{{ group }}</li>
                    {% endif %}
                {% endfor %}
            </ul>
        </div>

        <div class="box">
            <h4 class="title is-4">{% trans " Disputen " %}</h4>

            <ul>
                {% for group in groups %}
                    {% if group.kind == group.SOCIETY %}
                        <li>{{ group }}</li>
                    {% endif %}
                {% endfor %}
            </ul>
        </div>
    {% endwith %}
</div>

<!-- Tab 4 -->
<div class="js-tab-content" id="activities" style="display:none">
    <div class="box">
        <h4 class="title is-4">{% trans " Bezochte activiteiten " %}</h4>

        <ul>
            {% for activity in person.contact.ticket_set.all %}
                <li>{{ activity.admittance.event }}</li>
            {% endfor %}
        </ul>
    </div>
</div>

{% endblock %}

{% block scripts_postload %}

<script>
    addTabEventListeners();
</script>

{{ block.super }}

{% endblock %}